# eoGeneralBreeder< EOT > Class Template Reference

Base class for breeders using generalized operators. More...

`#include <eoGeneralBreeder.h>`

Inheritance diagram for eoGeneralBreeder< EOT >:

List of all members.

## Public Member Functions

| eoGeneralBreeder (eoSelectOne< EOT > &_select, eoGenOp< EOT > &_op, double _rate=1.0, bool _interpret_as_rate=true)
| Ctor:.
| eoGeneralBreeder (eoSelectOne< EOT > &_select, eoGenOp< EOT > &_op, eoHowMany _howMany)
| Ctor:.
void | operator() (const eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The breeder: simply calls the genOp on a selective populator!
virtual std::string | className () const
| The class name.

## Private Attributes

eoSelectOne< EOT > & | select
eoGenOp< EOT > & | op
eoHowMany | howMany

## Detailed Description

### template<class EOT>
class eoGeneralBreeder< EOT >

Base class for breeders using generalized operators.

Definition at line 46 of file eoGeneralBreeder.h.

## Constructor & Destructor Documentation

template<class EOT>
eoGeneralBreeder< EOT >::eoGeneralBreeder | ( | eoSelectOne< EOT > & | _select,
|  | eoGenOp< EOT > & | _op,
|  | double | _rate = `1.0`,
|  | bool | _interpret_as_rate = `true`
| ) | `[inline]`

Ctor:.

Parameters:

  | _select | a selectoOne, to be used for all selections
  | _op | a general operator (will generally be an eoOpContainer)
  | _rate | pour howMany, le nbre d'enfants a generer
  | _interpret_as_rate | explanation

Definition at line 56 of file eoGeneralBreeder.h.

template<class EOT>
eoGeneralBreeder< EOT >::eoGeneralBreeder | ( | eoSelectOne< EOT > & | _select,
|  | eoGenOp< EOT > & | _op,
|  | eoHowMany | _howMany
| ) | `[inline]`

Ctor:.

Parameters:

  | _select | a selectoOne, to be used for all selections
  | _op | a general operator (will generally be an eoOpContainer)
  | _howMany | an eoHowMany explanation

Definition at line 69 of file eoGeneralBreeder.h.

## Member Function Documentation

template<class EOT>
void eoGeneralBreeder< EOT >::operator() | ( | const eoPop< EOT > & | _parents,
|  | eoPop< EOT > & | _offspring
| ) | `[inline, virtual]`

The breeder: simply calls the genOp on a selective populator!

Parameters:

  | _parents | the initial population
  | _offspring | the resulting population (content -if any- is lost)

Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 80 of file eoGeneralBreeder.h.

The documentation for this class was generated from the following file:

- eoGeneralBreeder.h